# eric7.Preferences.ConfigurationPages.IconsPreviewDialog

Module implementing a dialog to preview the contents of an icon directory.

### Global Attributes

None

### Classes

IconsPreviewDialog | Class implementing a dialog to preview the contents of an icon directory.

### Functions

None

## IconsPreviewDialog

Class implementing a dialog to preview the contents of an icon directory.

### Derived from

QDialog, Ui_IconsPreviewDialog

### Class Attributes

None

### Class Methods

None

### Methods

IconsPreviewDialog | Constructor
on_directoryCombo_currentTextChanged | Private slot to show the icons of the selected icon directory.
on_invertButton_toggled | Private slot to show the icons on an inverted background.
on_refreshButton_clicked | Private slot to refresh the view.

### Static Methods

None

#### IconsPreviewDialog (Constructor)

IconsPreviewDialog(directories, parent=None)

Constructor

directories (list of str)
  list of directories to be shown
parent (QWidget)
  parent widget

#### IconsPreviewDialog.on_directoryCombo_currentTextChanged

on_directoryCombo_currentTextChanged(dirName)

Private slot to show the icons of the selected icon directory.

dirName (str)
  selected icon directory

#### IconsPreviewDialog.on_invertButton_toggled

on_invertButton_toggled(checked)

Private slot to show the icons on an inverted background.

checked (bool)
  state of the button

#### IconsPreviewDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the view.

Up